## zowe › ejes › issue › syscmd

Issue a system command and receive console output as a report in text format.

#### Usage

zowe ejes issue syscmd <command> [options]

#### Positional Arguments

- `command` (string)

  - System console command enclosed in double-quotes. If you wish to issue multiple commands, follow each command with a semicolon and a slash(;/)

#### Options

- `--debug` | `--dbg` (number)

  - Specify a numeric debugging mode.

- `--dry-run` | `-n` (array)

  - Run under dry-run protocols.

- `--jes2` | `-2` (boolean)

  - Use the JES2 spooler instead of the default spooler.

- `--jes3` | `-3` (boolean)

  - Use the JES3 or JES3plus spooler instead of the default spooler.

- `--lines` | `-y` (string)

  - Maximum lines in a table or report. [1000 | tty-default | number | all]

- `--subsystem` (string)

  - Name of the spooler to use instead of the default spooler.

- `--width` | `-x` (string)

  - Maximum characters per line or row. [tty-default | number | all]

#### EJES Connection Options

- `--protocol` | `--prot` (string)

  - Protocol used to access (E)JES server.

    Default value: https
    Allowed values: http, https, list, help

- `--host` (string)

  - The (E)JES server host name.

- `--port` (number)

  - The (E)JES server port.

    Default value: 443

- `--user` (string)

  - Mainframe (E)JES user name, which can be the same as your TSO login.

- `--password` | `--pass` | `--pw` (string)

  - Mainframe (E)JES password, which can be the same as your TSO password.

- `--reject-unauthorized` | `--rejectunauthorized` | `--ru` (boolean)

  - Reject self-signed certificates.

    Default value: true

- `--base-path` | `--basepath` | `--bp` (string)

  - The base path for your API mediation layer instance. Specify this option to prepend the base path to all (E)JES resources when making REST requests.

- `--color-scheme` | `--scheme` | `--cs` (string)

  - Accessibility option: Specify the name of a color scheme. User scheme files may also be created and specified to provide better contrast or to favor easier to see colors. For a how-to, use "zowe ejes emulate batch --helpApp scheme-info". Zowe ejes log stream ignores this option as it outputs plain text by default, only colorizing when ANSI color options are specified.

    Allowed values: dark, light, powershell, nono, none, user-scheme-file, list, help

    Default value: dark

- `--no-color` | `--nocolor` | `--nc` (string)

  - Accessibility option: Specify to prevent colorization of the CLI. Same effect as defining NO_COLOR or FORCE_COLOR=0.

#### Profile Options

- `--ejes-profile` | `--ejes-p` (string)

  - The name of a (ejes) profile to load for this command execution.

#### Examples

- Display the time:

  - `zowe ejes issue syscmd "d t"`

- Display time and ppt:

  - `zowe ejes issue syscmd "d t;/d ppt"`